View Issue Details

IDProjectCategoryView StatusLast Update
0000329XdebugUsage problems (Wrong Results)public2009-10-17 18:15
ReportermhorvathAssigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0000329: PHP segfault due to XDebug
DescriptionXDebug 2.1dev still crashes PHP (segfault) see bug 321 ...

--- snip ---
mhorvath@bamboo:~/PHX$ sudo gdb /opt/php/bin/php
[sudo] password for mhorvath:
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run -d safe_mode=Off /opt/php/bin/phpunit --log-xml Logs/UnitTestsCodeCoverage.xml --exclude-group deactivated,CrashesXDebug --coverage-xml Logs/CodeCoverage.xml --report Logs/CodeCoverage --verbose UnitTests_AllTests UnitTests/AllTests.php
Starting program: /opt/php-5.2.4/bin/php -d safe_mode=Off /opt/php/bin/phpunit --log-xml Logs/UnitTestsCodeCoverage.xml --exclude-group deactivated,CrashesXDebug --coverage-xml Logs/CodeCoverage.xml --report Logs/CodeCoverage --verbose UnitTests_AllTests UnitTests/AllTests.php
[Thread debugging using libthread_db enabled]
[New Thread 47078054756912 (LWP 21939)]
PHPUnit 3.2.0RC1 by Sebastian Bergmann.

...

  Phoenix Unit Tests - Modules - User
   UnitTests_Modules_User_Models_ApiTest
   ..............


Time: 3 seconds

There were 2 errors:

1) testSearchCorrect(UnitTests_Modules_Phoenix_Libraries_FindUserFromNameTest)
PDOException: SQLSTATE[HY000]: General error: 1429 Unable to connect to foreign data source: Can't connect to sphinx server
/data/bamboo/build-dir/PHX-TRUNK/Libraries/Phx/Db/Statement.php:354
/data/bamboo/build-dir/PHX-TRUNK/Modules/Phoenix/Libraries/FindUserFromName.php:67
/data/bamboo/build-dir/PHX-TRUNK/Tests/UnitTests/Modules/Phoenix/Libraries/FindUserFromNameTest.php:39

2) testSearchCountResult(UnitTests_Modules_Phoenix_Libraries_FindUserFromNameTest)
PDOException: SQLSTATE[HY000]: General error: 1429 Unable to connect to foreign data source: Can't connect to sphinx server
/data/bamboo/build-dir/PHX-TRUNK/Libraries/Phx/Db/Statement.php:354
/data/bamboo/build-dir/PHX-TRUNK/Modules/Phoenix/Libraries/FindUserFromName.php:67
/data/bamboo/build-dir/PHX-TRUNK/Tests/UnitTests/Modules/Phoenix/Libraries/FindUserFromNameTest.php:46

FAILURES!
Tests: 235, Errors: 2.

Writing code coverage data to XML file, this may take a moment.
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47078054756912 (LWP 21939)]
0x00000000007672cf in lex_scan (zendlval=0x7fff7759e900) at /usr/local/src/php-5.2.4/Zend/zend_language_scanner.c:4988
4988 len += strlen(func_name);
(gdb) bt
#0 0x00000000007672cf in lex_scan (zendlval=0x7fff7759e900) at /usr/local/src/php-5.2.4/Zend/zend_language_scanner.c:4988
#1 0x0000000000717227 in tokenize (return_value=0x6134d68) at /usr/local/src/php-5.2.4/ext/tokenizer/tokenizer.c:161
0000002 0x0000000000717383 in zif_token_get_all (ht=1, return_value=0x6134d68, return_value_ptr=0x0, this_ptr=0x0, return_value_used=1) at /usr/local/src/php-5.2.4/ext/tokenizer/tokenizer.c:227
0000003 0x00000000007bffc9 in execute_internal (execute_data_ptr=0x7fff7759f190, return_value_used=1) at /usr/local/src/php-5.2.4/Zend/zend_execute.c:1385
0000004 0x00002ad136ddba45 in xdebug_execute_internal (current_execute_data=0x7fff7759f190, return_value_used=1) at /usr/local/src/xdebug/xdebug.c:1598
0000005 0x00002ad1372308e9 in suhosin_execute_internal (execute_data_ptr=0x7fff7759f190, return_value_used=1) at /usr/local/src/suhosin-0.9.20/execute.c:1151
0000006 0x00000000007c08b3 in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff7759f190) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:202
0000007 0x00000000007c7048 in ZEND_DO_FCALL_SPEC_CONST_HANDLER (execute_data=0x7fff7759f190) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:1681
0000008 0x00000000007c02e6 in execute (op_array=0x2ad133685ab0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000009 0x00002ad136ddb6d2 in xdebug_execute (op_array=0x2ad133685ab0) at /usr/local/src/xdebug/xdebug.c:1534
0000010 0x00002ad137230bdd in suhosin_execute_ex (op_array=0x2ad133685ab0, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000011 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff7759f960) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000012 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fff7759f960) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000013 0x00000000007c02e6 in execute (op_array=0x2ad133684058) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000014 0x00002ad136ddb6d2 in xdebug_execute (op_array=0x2ad133684058) at /usr/local/src/xdebug/xdebug.c:1534
0000015 0x00002ad137230bdd in suhosin_execute_ex (op_array=0x2ad133684058, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000016 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff775a2af0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000017 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fff775a2af0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000018 0x00000000007c02e6 in execute (op_array=0x18d82d0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000019 0x00002ad136ddb6d2 in xdebug_execute (op_array=0x18d82d0) at /usr/local/src/xdebug/xdebug.c:1534
0000020 0x00002ad137230bdd in suhosin_execute_ex (op_array=0x18d82d0, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000021 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff775a69b0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000022 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fff775a69b0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000023 0x00000000007c02e6 in execute (op_array=0x1064148) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000024 0x00002ad136ddb6d2 in xdebug_execute (op_array=0x1064148) at /usr/local/src/xdebug/xdebug.c:1534
0000025 0x00002ad137230bdd in suhosin_execute_ex (op_array=0x1064148, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000026 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff775a77d0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000027 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fff775a77d0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000028 0x00000000007c02e6 in execute (op_array=0x101a4b0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000029 0x00002ad136ddb6d2 in xdebug_execute (op_array=0x101a4b0) at /usr/local/src/xdebug/xdebug.c:1534
0000030 0x00002ad137230bdd in suhosin_execute_ex (op_array=0x101a4b0, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000031 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fff775a7da0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000032 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fff775a7da0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000033 0x00000000007c02e6 in execute (op_array=0xf0d0c8) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000034 0x00002ad136ddb6d2 in xdebug_execute (op_array=0xf0d0c8) at /usr/local/src/xdebug/xdebug.c:1534
#35 0x00002ad137230bdd in suhosin_execute_ex (op_array=0xf0d0c8, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000036 0x00000000007c8079 in ZEND_INCLUDE_OR_EVAL_SPEC_CONST_HANDLER (execute_data=0x7fff775a81f0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:2030
0000037 0x00000000007c02e6 in execute (op_array=0xf0b7f8) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000038 0x00002ad136ddb6d2 in xdebug_execute (op_array=0xf0b7f8) at /usr/local/src/xdebug/xdebug.c:1534
0000039 0x00002ad137230bdd in suhosin_execute_ex (op_array=0xf0b7f8, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000040 0x0000000000795ebc in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /usr/local/src/php-5.2.4/Zend/zend.c:1215
0000041 0x0000000000732b0b in php_execute_script (primary_file=0x7fff775aa9c0) at /usr/local/src/php-5.2.4/main/main.c:2003
0000042 0x000000000081d6cc in main (argc=15, argv=0x7fff775aac08) at /usr/local/src/php-5.2.4/sapi/cli/php_cli.c:1146
(gdb) list
4983
4984 if (class_name) {
4985 len += strlen(class_name) + 2;
4986 }
4987 if (func_name) {
4988 len += strlen(func_name);
4989 }
4990
4991 zendlval->value.str.len = zend_spprintf(&zendlval->value.str.val, 0, "%s%s%s",
4992 class_name ? class_name : "",
(gdb)
Additional Informationmhorvath@bamboo:~/PHX$ uname -mrs
Linux 2.6.22-14-generic x86_64

--- snip ---

mhorvath@bamboo:~/PHX$ php -i
phpinfo()
PHP Version => 5.2.4

System => Linux bamboo 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64
Build Date => Oct 29 2007 17:08:56
Configure Command => './configure' '--prefix=/opt/php-5.2.4' '--with-config-file-path=/opt/php-5.2.4/etc' '--enable-force-cgi-redirect' '--enable-fastcgi' '--disable-debug' '--disable-all' '--enable-ctype' '--enable-dom' '--enable-libxml' '--with-libxml-dir=/usr/lib' '--with-openssl' '--with-pcre-regex' '--enable-session' '--enable-simplexml' '--enable-spl' '--enable-wddx' '--enable-xml' '--enable-hash' '--enable-reflection' '--with-zlib' '--with-pear' '--with-apxs2=/usr/bin/apxs2' '--with-layout=GNU' '--enable-json' '--enable-filter' '--with-iconv-dir=/usr/local/lib' '--enable-mbstring' '--with-mcrypt' '--with-mysql' '--with-mysqli' '--enable-pdo' '--with-pdo-mysql' '--enable-soap' '--with-gd' '--with-jpeg-dir' '--with-png-dir' '--with-ttf' '--with-freetype-dir' '--with-t1lib' '--enable-gd-native-ttf' '--enable-tokenizer' '--with-xsl' '--disable-inline-optimization' '--enable-debug'
Server API => Command Line Interface
Virtual Directory Support => disabled
Configuration File (php.ini) Path => /opt/php-5.2.4/etc
Loaded Configuration File => /opt/php-5.2.4/etc/php.ini
PHP API => 20041225
PHP Extension => 20060613
Zend Extension => 220060519
Debug Build => yes
Thread Safety => disabled
Zend Memory Manager => enabled
IPv6 Support => enabled
Registered PHP Streams => php, file, data, http, ftp, compress.zlib, https, ftps
Registered Stream Socket Transports => tcp, udp, unix, udg, ssl, sslv3, sslv2, tls
Registered Stream Filters => string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, zlib.*


This server is protected with the Suhosin Patch 0.9.6.2
Copyright (c) 2006 Hardened-PHP Project


This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
    with XCache v1.2.1, Copyright (c) 2005-2007, by mOo
    with Xdebug v2.1.0-dev, Copyright (c) 2002-2007, by Derick Rethans
    with Suhosin v0.9.20, Copyright (c) 2002-2006, by Hardened-PHP Project

--- snip ---

mhorvath@bamboo:~/PHX$ php -m
[PHP Modules]
ctype
date
dom
filter
gd
hash
json
libxml
mbstring
mcrypt
memcache
mysql
mysqli
openssl
pcre
PDO
pdo_mysql
Reflection
session
SimpleXML
soap
SPL
standard
suhosin
tokenizer
wddx
XCache
xdebug
xml
xsl
zlib

[Zend Modules]
XCache
Xdebug
TagsNo tags attached.
Operating SystemUbuntu 7.10 Server 64-Bit
PHP Version5.2.4

Activities

derick

2007-10-30 11:29

administrator   ~0000785

Could you do a "print func_name" instead of "bt" for me?

mhorvath

2007-10-30 11:33

reporter   ~0000786

--- snip ---

[Switching to Thread 47243155223088 (LWP 23149)]
0x00000000007672cf in lex_scan (zendlval=0x7fff06989e10) at /usr/local/src/php-5.2.4/Zend/zend_language_scanner.c:4988
4988 len += strlen(func_name);
(gdb) print func_name
$1 = 0x74636e7566206369 <Address 0x74636e7566206369 out of bounds>

--- snip ---

Hm, should I be doing something else?

derick

2007-10-30 13:38

administrator   ~0000787

Hmm, that is sorta useless :) Could you perhaps hand me over a (short) test case that exhibits this problem?

mhorvath

2007-10-30 15:22

reporter   ~0000788

Hm, I kindly don#t know, which test is responsible for the issue ... and I cannot send you over our sources because of IP issues ... any other way to help resolving the problem?

:(

derick

2007-10-30 17:11

administrator   ~0000789

Not really, unless you want to spend some time to make a short reproducable case out of this. But your first comment shows a stop in zend_language_scanner... not in Xdebug. Did you interrupt it or something? Try to do the print func_name when the segfault occurs...

derick

2007-10-30 17:12

administrator   ~0000790

Actually, it doesn't crash at all in Xdebug, but in Zend somewhere. Could you try disabling XCache to see if that works? If it does not, try to run your script under valgrind.

mhorvath

2007-10-30 19:10

reporter   ~0000791

Extensions disabled ... still happening ... maybe it's due to the Suhosin-Patch ... but now I'll let Valgrind "profile" for me ... let's see ... I'll report ... otherweise I'll retry without the Suhosin-Patch ...

mhorvath

2007-10-30 19:20

reporter   ~0000792

Well, here we are ... is that of any use to you?

I really think it is related to XDebug ... isn't it?

Cheers, Max!

--- snip ---

...
OK (233 tests)

Writing code coverage data to XML file, this may take a moment.==19701==
==19701== Invalid read of size 1
==19701== at 0x7672CF: lex_scan (zend_language_scanner.c:4988)
==19701== by 0x717226: tokenize (tokenizer.c:161)
==19701== by 0x717382: zif_token_get_all (tokenizer.c:227)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== Address 0x636E756620657461 is not stack'd, malloc'd or (recently) free'd
==19701==
==19701== Process terminating with default action of signal 11 (SIGSEGV)
==19701== General Protection Fault
==19701== at 0x7672CF: lex_scan (zend_language_scanner.c:4988)
==19701== by 0x717226: tokenize (tokenizer.c:161)
==19701== by 0x717382: zif_token_get_all (tokenizer.c:227)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
--19701-- Discarding syms at 0x8C12000-0x8E1D000 in /lib/libnss_files-2.6.1.so due to munmap()
--19701-- Discarding syms at 0x1A91D000-0x1AB23000 in /lib/libnss_dns-2.6.1.so due to munmap()
==19701==
==19701== ERROR SUMMARY: 10352 errors from 36 contexts (suppressed: 25 from 1)
==19701==
==19701== 1 errors in context 1 of 36:
==19701== Invalid read of size 1
==19701== at 0x7672CF: lex_scan (zend_language_scanner.c:4988)
==19701== by 0x717226: tokenize (tokenizer.c:161)
==19701== by 0x717382: zif_token_get_all (tokenizer.c:227)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== Address 0x636E756620657461 is not stack'd, malloc'd or (recently) free'd
==19701==
==19701== 1 errors in context 2 of 36:
==19701== Conditional jump or move depends on uninitialised value(s)
==19701== at 0x84B1E59: xdebug_prefill_code_coverage (xdebug_code_coverage.c:307)
==19701== by 0x84AC604: xdebug_execute (xdebug.c:1514)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== by 0x7C176F: ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (zend_vm_execute.h:322)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== by 0x7C176F: ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (zend_vm_execute.h:322)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 1 errors in context 3 of 36:
==19701== Invalid read of size 8
==19701== at 0x4015B0A: (within /lib/ld-2.6.1.so)
==19701== by 0x4011872: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF4EF: (within /lib/libc-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF656: __libc_dlopen_mode (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9F1C: __nss_lookup_function (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9FF4: (within /lib/libc-2.6.1.so)
==19701== by 0x7AC24B2: getservbyname_r (in /lib/libc-2.6.1.so)
==19701== by 0x7AC220B: getservbyname (in /lib/libc-2.6.1.so)
==19701== by 0x69EED88: mysql_server_init (in /usr/lib/libmysqlclient.so.15.0.0)
==19701== by 0x5A8C7F: zm_startup_mysqli (mysqli.c:655)
==19701== by 0x79C52A: zend_startup_module_ex (zend_API.c:1466)
==19701== Address 0x8BEDFD0 is 40 bytes inside a block of size 46 alloc'd
==19701== at 0x4C21C16: malloc (vg_replace_malloc.c:149)
==19701== by 0x400DB10: (within /lib/ld-2.6.1.so)
==19701== by 0x4008D25: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF4EF: (within /lib/libc-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF656: __libc_dlopen_mode (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9F1C: __nss_lookup_function (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9FF4: (within /lib/libc-2.6.1.so)
==19701== by 0x7AC24B2: getservbyname_r (in /lib/libc-2.6.1.so)
==19701==
==19701== 2 errors in context 4 of 36:
==19701== Conditional jump or move depends on uninitialised value(s)
==19701== at 0x84B1D40: prefill_from_function_table (xdebug_code_coverage.c:267)
==19701== by 0x7A4A92: zend_hash_apply_with_arguments (zend_hash.c:923)
==19701== by 0x84B1E9D: xdebug_prefill_code_coverage (xdebug_code_coverage.c:311)
==19701== by 0x84AC604: xdebug_execute (xdebug.c:1514)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== by 0x7C176F: ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (zend_vm_execute.h:322)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== by 0x7C176F: ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (zend_vm_execute.h:322)
==19701==
==19701== 2 errors in context 5 of 36:
==19701== Invalid read of size 8
==19701== at 0x4015B24: (within /lib/ld-2.6.1.so)
==19701== by 0x400A8F7: (within /lib/ld-2.6.1.so)
==19701== by 0x4006174: (within /lib/ld-2.6.1.so)
==19701== by 0x40085F7: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF4EF: (within /lib/libc-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF656: __libc_dlopen_mode (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9F1C: __nss_lookup_function (in /lib/libc-2.6.1.so)
==19701== by 0x7ABA012: (within /lib/libc-2.6.1.so)
==19701== Address 0x8BEE150 is 16 bytes inside a block of size 23 alloc'd
==19701== at 0x4C21C16: malloc (vg_replace_malloc.c:149)
==19701== by 0x4008AF5: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF4EF: (within /lib/libc-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF656: __libc_dlopen_mode (in /lib/libc-2.6.1.so)
==19701== by 0x7AB9F1C: __nss_lookup_function (in /lib/libc-2.6.1.so)
==19701== by 0x7ABA012: (within /lib/libc-2.6.1.so)
==19701== by 0x7AC24B2: getservbyname_r (in /lib/libc-2.6.1.so)
==19701== by 0x7AC220B: getservbyname (in /lib/libc-2.6.1.so)
==19701==
==19701== 2 errors in context 6 of 36:
==19701== Invalid read of size 8
==19701== at 0x4015B0A: (within /lib/ld-2.6.1.so)
==19701== by 0x400DAF6: (within /lib/ld-2.6.1.so)
==19701== by 0x400DCA3: (within /lib/ld-2.6.1.so)
==19701== by 0x400A3AA: (within /lib/ld-2.6.1.so)
==19701== by 0x7ADF9BC: (within /lib/libc-2.6.1.so)
==19701== by 0x678D0F3: (within /lib/libdl-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x678D4EC: (within /lib/libdl-2.6.1.so)
==19701== by 0x678D0A9: dlsym (in /lib/libdl-2.6.1.so)
==19701== by 0x8900DC3: suhosin_hook_execute (execute.c:1189)
==19701== by 0x88F23B0: suhosin_module_startup (suhosin.c:181)
==19701== by 0x88F32CC: suhosin_startup_wrapper (suhosin.c:249)
==19701== Address 0x82797C8 is 40 bytes inside a block of size 43 alloc'd
==19701== at 0x4C21C16: malloc (vg_replace_malloc.c:149)
==19701== by 0x40077B3: (within /lib/ld-2.6.1.so)
==19701== by 0x400854E: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x678CF8A: (within /lib/libdl-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x678D4EC: (within /lib/libdl-2.6.1.so)
==19701== by 0x678CEF0: dlopen (in /lib/libdl-2.6.1.so)
==19701== by 0x69503B: php_dl (dl.c:138)
==19701== by 0x73B1DE: php_load_function_extension_cb (php_ini.c:235)
==19701==
==19701== 4 errors in context 7 of 36:
==19701== Invalid read of size 8
==19701== at 0x4015B0A: (within /lib/ld-2.6.1.so)
==19701== by 0x400A8F7: (within /lib/ld-2.6.1.so)
==19701== by 0x4006174: (within /lib/ld-2.6.1.so)
==19701== by 0x40085F7: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x678CF8A: (within /lib/libdl-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x678D4EC: (within /lib/libdl-2.6.1.so)
==19701== by 0x678CEF0: dlopen (in /lib/libdl-2.6.1.so)
==19701== by 0x7A17D5: zend_load_extension (zend_extensions.c:34)
==19701== Address 0x8275FC0 is 40 bytes inside a block of size 42 alloc'd
==19701== at 0x4C21C16: malloc (vg_replace_malloc.c:149)
==19701== by 0x40077B3: (within /lib/ld-2.6.1.so)
==19701== by 0x400854E: (within /lib/ld-2.6.1.so)
==19701== by 0x4011C98: (within /lib/ld-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x401155A: (within /lib/ld-2.6.1.so)
==19701== by 0x678CF8A: (within /lib/libdl-2.6.1.so)
==19701== by 0x400DA05: (within /lib/ld-2.6.1.so)
==19701== by 0x678D4EC: (within /lib/libdl-2.6.1.so)
==19701== by 0x678CEF0: dlopen (in /lib/libdl-2.6.1.so)
==19701== by 0x7A17D5: zend_load_extension (zend_extensions.c:34)
==19701== by 0x73B1F8: php_load_zend_extension_cb (php_ini.c:243)
==19701==
==19701== 11 errors in context 8 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE640, 0x7FEFEE640, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C930: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BC65: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BF5C: mcrypt_generic_end (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B166: php_mcrypt_do_crypt (mcrypt.c:1086)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701==
==19701== 13 errors in context 9 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CDF4: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BC53: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BF5C: mcrypt_generic_end (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B166: php_mcrypt_do_crypt (mcrypt.c:1086)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701==
==19701== 13 errors in context 10 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE640, 0x7FEFEE640, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C8EF: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BC2A: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BF5C: mcrypt_generic_end (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B166: php_mcrypt_do_crypt (mcrypt.c:1086)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701==
==19701== 13 errors in context 11 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE640, 0x7FEFEE640, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CBFF: mcrypt_enc_get_key_size (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BC08: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BF5C: mcrypt_generic_end (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B166: php_mcrypt_do_crypt (mcrypt.c:1086)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701==
==19701== 13 errors in context 12 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE5E0, 0x7FEFEE5E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CA0B: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BE16: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 13 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE590, 0x7FEFEE590, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C6EF: mcrypt_enc_is_block_algorithm (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C988: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BE16: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701==
==19701== 13 errors in context 14 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE5E0, 0x7FEFEE5E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CD5D: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BDE0: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 15 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE610, 0x7FEFEE610, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C930: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BDA7: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 16 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE610, 0x7FEFEE610, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C8EF: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BD82: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 17 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE610, 0x7FEFEE610, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CBFF: mcrypt_enc_get_key_size (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BD4A: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 18 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE5F0, 0x7FEFEE5F0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CC51: mcrypt_enc_get_supported_key_sizes (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BD06: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 19 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE610, 0x7FEFEE610, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CBFF: mcrypt_enc_get_key_size (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402BCC1: mcrypt_generic_init (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59B0A9: php_mcrypt_do_crypt (mcrypt.c:1073)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701==
==19701== 13 errors in context 20 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE660, 0x7FEFEE660, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CFA0: mcrypt_enc_is_block_mode (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AF7E: php_mcrypt_do_crypt (mcrypt.c:1060)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 21 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE640, 0x7FEFEE640, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CC51: mcrypt_enc_get_supported_key_sizes (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC90: php_mcrypt_do_crypt (mcrypt.c:1015)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 22 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE660, 0x7FEFEE660, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CBFF: mcrypt_enc_get_key_size (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC56: php_mcrypt_do_crypt (mcrypt.c:1011)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 23 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C833: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC0F: php_mcrypt_do_crypt (mcrypt.c:1005)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 24 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C810: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC0F: php_mcrypt_do_crypt (mcrypt.c:1005)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 25 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7ED: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC0F: php_mcrypt_do_crypt (mcrypt.c:1005)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 26 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7CA: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC0F: php_mcrypt_do_crypt (mcrypt.c:1005)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 27 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE630, 0x7FEFEE630, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7A7: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59AC0F: php_mcrypt_do_crypt (mcrypt.c:1005)
==19701== by 0x59B7C6: zif_mcrypt_encrypt (mcrypt.c:1111)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 13 errors in context 28 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE2E0, 0x7FEFEE2E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C833: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701==
==19701== 13 errors in context 29 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE2E0, 0x7FEFEE2E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C810: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701==
==19701== 13 errors in context 30 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE2E0, 0x7FEFEE2E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7ED: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701==
==19701== 13 errors in context 31 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE2E0, 0x7FEFEE2E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7CA: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701==
==19701== 13 errors in context 32 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE2E0, 0x7FEFEE2E0, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C7A7: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701==
==19701== 26 errors in context 33 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE290, 0x7FEFEE290, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C6EF: mcrypt_enc_is_block_algorithm (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C879: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 26 errors in context 34 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE290, 0x7FEFEE290, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C6B0: mcrypt_enc_is_block_algorithm_mode (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C86F: mcrypt_module_open (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A93C: zif_mcrypt_get_iv_size (mcrypt.c:940)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 39 errors in context 35 of 36:
==19701== Source and destination overlap in memcpy(0x7FEFEE300, 0x7FEFEE300, 72)
==19701== at 0x4C237F3: memcpy (mc_replace_strmem.c:116)
==19701== by 0x402C453: (within /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402C6B0: mcrypt_enc_is_block_algorithm_mode (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x402CBC8: mcrypt_enc_get_iv_size (in /usr/lib/libmcrypt.so.4.4.7)
==19701== by 0x59A958: zif_mcrypt_get_iv_size (mcrypt.c:942)
==19701== by 0x7BFFC8: execute_internal (zend_execute.c:1385)
==19701== by 0x84ACA44: xdebug_execute_internal (xdebug.c:1598)
==19701== by 0x89018E8: suhosin_execute_internal (execute.c:1151)
==19701== by 0x7C08B2: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:202)
==19701== by 0x7C7047: ZEND_DO_FCALL_SPEC_CONST_HANDLER (zend_vm_execute.h:1681)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701==
==19701== 9925 errors in context 36 of 36:
==19701== Conditional jump or move depends on uninitialised value(s)
==19701== at 0x84B1D40: prefill_from_function_table (xdebug_code_coverage.c:267)
==19701== by 0x7A4A92: zend_hash_apply_with_arguments (zend_hash.c:923)
==19701== by 0x84B1E27: prefill_from_class_table (xdebug_code_coverage.c:295)
==19701== by 0x7A4A92: zend_hash_apply_with_arguments (zend_hash.c:923)
==19701== by 0x84B1ECC: xdebug_prefill_code_coverage (xdebug_code_coverage.c:312)
==19701== by 0x84AC604: xdebug_execute (xdebug.c:1514)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
==19701== by 0x7C0A7E: zend_do_fcall_common_helper_SPEC (zend_vm_execute.h:234)
==19701== by 0x7C176F: ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (zend_vm_execute.h:322)
==19701== by 0x7C02E5: execute (zend_vm_execute.h:92)
==19701== by 0x84AC6D1: xdebug_execute (xdebug.c:1534)
==19701== by 0x8901BDC: suhosin_execute_ex (execute.c:558)
--19701--
--19701-- supp: 25 dl-hack3
==19701==
==19701== IN SUMMARY: 10352 errors from 36 contexts (suppressed: 25 from 1)
==19701==
==19701== malloc/free: in use at exit: 95,315,635 bytes in 28,701 blocks.
==19701== malloc/free: 4,357,178 allocs, 4,328,477 frees, 490,941,379 bytes allocated.
==19701==
==19701== searching for pointers to 28,701 not-freed blocks.
==19701== checked 351,047,128 bytes.
==19701==
==19701== LEAK SUMMARY:
==19701== definitely lost: 0 bytes in 0 blocks.
==19701== possibly lost: 0 bytes in 0 blocks.
==19701== still reachable: 95,315,635 bytes in 28,701 blocks.
==19701== suppressed: 0 bytes in 0 blocks.
==19701== Reachable blocks (those to which a pointer was found) are not shown.
==19701== To see them, rerun with: --leak-check=full --show-reachable=yes
--19701-- memcheck: sanity checks: 9866 cheap, 395 expensive
--19701-- memcheck: auxmaps: 1 auxmap entries (64k, 0M) in use
--19701-- memcheck: auxmaps: 1 searches, 1 comparisons
--19701-- memcheck: SMs: n_issued = 2714 (43424k, 42M)
--19701-- memcheck: SMs: n_deissued = 243 (3888k, 3M)
--19701-- memcheck: SMs: max_noaccess = 524287 (8388592k, 8191M)
--19701-- memcheck: SMs: max_undefined = 6 (96k, 0M)
--19701-- memcheck: SMs: max_defined = 5243 (83888k, 81M)
--19701-- memcheck: SMs: max_non_DSM = 2471 (39536k, 38M)
--19701-- memcheck: max sec V bit nodes: 938 (80k, 0M)
--19701-- memcheck: set_sec_vbits8 calls: 1957 (new: 938, updates: 1019)
--19701-- memcheck: max shadow mem size: 43760k, 42M
--19701-- translate: fast SP updates identified: 35,032 ( 80.9%)
--19701-- translate: generic_known SP updates identified: 5,464 ( 12.6%)
--19701-- translate: generic_unknown SP updates identified: 2,790 ( 6.4%)
--19701-- tt/tc: 2,276,515 tt lookups requiring 3,069,465 probes
--19701-- tt/tc: 2,276,515 fast-cache updates, 5 flushes
--19701-- transtab: new 32,803 (1,221,174 -> 19,872,527; ratio 162:10) [0 scs]
--19701-- transtab: dumped 0 (0 -> ??)
--19701-- transtab: discarded 339 (7,109 -> ??)
--19701-- scheduler: 986,653,488 jumps (bb entries).
--19701-- scheduler: 9,866/10,561,979 major/minor sched events.
--19701-- sanity: 9867 cheap, 395 expensive checks.
--19701-- exectx: 30,011 lists, 10,407 contexts (avg 0 per list)
--19701-- exectx: 8,695,997 searches, 9,187,333 full compares (1,056 per 1000)
--19701-- exectx: 1,637,918 cmp2, 20,168 cmp4, 0 cmpAll
Segmentation fault

derick

2007-11-01 21:01

administrator   ~0000793

No, it crashes in PHP:
==19701== at 0x7672CF: lex_scan (zend_language_scanner.c:4988)

Did you disable suhoshin yet? If not, can you please try that too?

derick

2007-11-11 17:42

administrator   ~0000807

Reminder sent to mhorvath

No, it crashes in PHP:
==19701== at 0x7672CF: lex_scan (zend_language_scanner.c:4988)

Did you disable suhoshin yet? If not, can you please try that too?

derick

2009-10-17 18:15

administrator   ~0001111

No feedback provided -> closing issue.

Issue History

Date Modified Username Field Change
2007-10-30 11:24 mhorvath New Issue
2007-10-30 11:29 derick Note Added: 0000785
2007-10-30 11:33 mhorvath Note Added: 0000786
2007-10-30 13:38 derick Note Added: 0000787
2007-10-30 15:22 mhorvath Note Added: 0000788
2007-10-30 17:11 derick Note Added: 0000789
2007-10-30 17:11 derick Status new => feedback
2007-10-30 17:12 derick Note Added: 0000790
2007-10-30 19:10 mhorvath Note Added: 0000791
2007-10-30 19:20 mhorvath Note Added: 0000792
2007-11-01 21:01 derick Note Added: 0000793
2007-11-11 17:42 derick Note Added: 0000807
2009-10-17 18:15 derick Note Added: 0001111
2009-10-17 18:15 derick Status feedback => resolved
2009-10-17 18:15 derick Resolution open => no change required
2009-10-17 18:15 derick Assigned To => derick
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)